<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/post_util.php';
ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];
$show_data = "";
$err_msg="";
$moshi_name = "";
$duration = 0;
$moshi_com = "";
$goal_score = 0;
$group_sel_list="";
$is_pub = 1;
$disptype=0;
$total_dif = 0;
$total_sel = "";
$full_score = 0;
$act_type="";
$up_id="";
$quiz_type_tbl = "";
$class_arr = array();

$dif_arr = array();
$dif_arr[0] = _COMMON_NOTSET_TXT;
$dep_arr = array();
$lev_arr = array();
$lev_arr[0] = _COMMON_NOTSET_TXT;

if (isset($_POST["act_type"])) {
	$act_type = $_POST["act_type"];
}
if ($act_type <> "insert" && $act_type <> "update") {
	$err_msg .= "Irregular Parameter1<br/>";
}
if (isset($_POST["moshi_name"]) && $_POST["moshi_name"] <> "") {
	$moshi_name = $_POST["moshi_name"];
} else {
	$err_msg .= "Irregular Parameter2<br/>";
}
if (isset($_POST["duration"]) && is_numeric($_POST["duration"])) {
	$duration = $_POST["duration"];
}

if (isset($_POST["goal_score"]) && is_numeric($_POST["goal_score"])) {
	$goal_score = $_POST["goal_score"];
} else {
	$err_msg .= "Irregular Parameter3<br/>";
}
if (isset($_POST["moshi_com"])) $moshi_com = $_POST["moshi_com"];
if (isset($_POST["is_pub"]) && is_numeric($_POST["is_pub"])) {
	$is_pub = $_POST["is_pub"];
} else {
	$err_msg .= "Irregular Parameter4<br/>";
}
if (isset($_POST["disptype"]) && is_numeric($_POST["disptype"])) {
	$disptype = $_POST["disptype"];
} else {
	$err_msg .= "Irregular Paramter5<br/>";
}
if (isset($_POST["total_dif"]) && is_numeric($_POST["total_dif"])) {
	$total_dif = $_POST["total_dif"];
} else {
	$err_msg .= "Irregular Parameter6<br/>";
}
if (isset($_POST["up_id"])) $up_id = intval($_POST["up_id"]);
if (isset($_POST["class_ids"]) && is_array($_POST["class_ids"])) $class_arr = $_POST["class_ids"];

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	$dif_object = new CDifficultyTableAccess();
	$dep_object = new CDepartmentTableAccess();
	$lev_object = new CTxtLevelTableAccess();
	$class_object = new CClassInfoTableAccess();

	//饹ΥꥹȤ
	if ($ses_arr['is_cube'] == 1) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
	}
	$id_list = "";
	if ($class_object->setSelResult("groupid,name","",$data_object->conn)) {
		while ($res = $class_object->dbFetchArr()) {
			if (in_array($res["groupid"],$class_arr)) {
				$group_sel_list .= htmlspecialchars(mb_convert_encoding($res["name"],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES)."<br/>";
				$id_list .= intval($res["groupid"]).",";
			}
		}
		if ($id_list <> "") $id_list = substr($id_list,0,-1);
		$group_sel_list .= "<input type='hidden' name='class_ids' value='".$id_list."'/>";
		$class_object->dbFreeResult();
	}
	if ($ses_arr['is_cube'] == 1) {
		if (!$data_object->setCharForExam()) {
			$err_msg .= $data_object->err_msg;
		}
	}
	if ($dif_object->setSelResult("difficulty_id,difficulty_nam","",$data_object->conn)) {
		while ($res = $dif_object->dbFetchArr()) {
			$dif_arr[$res["difficulty_id"]] = htmlspecialchars($res["difficulty_nam"],ENT_QUOTES);
		}
		$dif_object->dbFreeResult();
	}
	if ($dep_object->setSelResult("department_id,department_nam","",$data_object->conn)) {
		while ($res = $dep_object->dbFetchArr()) {
			$dep_arr[$res["department_id"]] = htmlspecialchars($res["department_nam"],ENT_QUOTES);
		}
		$dep_object->dbFreeResult();
	}
	if ($lev_object->setSelResult("txt_level_id,txt_level_nam","",$data_object->conn)) {
		while ($res = $lev_object->dbFetchArr()) {
			$lev_arr[$res["txt_level_id"]] = htmlspecialchars($res["txt_level_nam"],ENT_QUOTES);
		}
		$lev_object->dbFreeResult();
	}
	if (isset($dif_arr[$total_dif])) $total_sel = $dif_arr[$total_dif];
	for ($i=0; $i<10; $i++) {
		if (!isset($_POST["type_num".$i])
			|| !is_numeric($_POST["type_num".$i]) || $_POST["type_num".$i] <= 0) {
			continue;
		}
		if (!isset($_POST["type_score".$i])
			|| !is_numeric($_POST["type_score".$i]) || $_POST["type_score".$i] <= 0) {
			continue;
		}
		$quiz_type_tbl .= "<tr>\n";
		$quiz_type_tbl .="<td>".$dep_arr[$_POST["quiz_dep".$i]];
		$quiz_type_tbl .="<input type='hidden' name='quiz_dep".$i."' ";
		$quiz_type_tbl .= "value='".intval($_POST["quiz_dep".$i])."'/></td>\n";

		$quiz_type_tbl .="<td>".$dif_arr[$_POST["quiz_dif".$i]];
		$quiz_type_tbl .="<input type='hidden' name='quiz_dif".$i."' ";
		$quiz_type_tbl .= "value='".intval($_POST["quiz_dif".$i])."'/></td>\n";

		$quiz_type_tbl .="<td>".$lev_arr[$_POST["quiz_lev".$i]];
		$quiz_type_tbl .="<input type='hidden' name='quiz_lev".$i."' ";
		$quiz_type_tbl .= "value='".intval($_POST["quiz_lev".$i])."'/></td>\n";

		$quiz_type_tbl .="<td>".$_POST["type_num".$i];
		$quiz_type_tbl .="<input type='hidden' name='type_num".$i."' ";
		$quiz_type_tbl .= "value='".intval($_POST["type_num".$i])."'/></td>\n";

		$quiz_type_tbl .="<td>".$_POST["type_score".$i];
		$quiz_type_tbl .="<input type='hidden' name='type_score".$i."' ";
		$quiz_type_tbl .= "value='".intval($_POST["type_score".$i])."'/></td>\n";

		$quiz_type_tbl .="<td>".(intval($_POST["type_num".$i]) * intval($_POST["type_score".$i]));
		$quiz_type_tbl .="</td>";

		$quiz_type_tbl .= "<tr>\n";

		$full_score += (intval($_POST["type_num".$i]) * intval($_POST["type_score".$i]));
	}

	$data_object->closeDB();
}

$show_data = file_get_contents(TEMPLATE_DIR.'ad_moshi/confirm.tpl');

$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);

$show_data = str_replace(':MOSHI_NAME_REP:', chPostToHtml($moshi_name), $show_data);
$show_data = str_replace(':MOSHI_NAME_HID_REP:', chPostToHidden($moshi_name), $show_data);

if ($duration == 0) {
	$show_data = str_replace(':MOSHI_DUR_REP:', _COMMON_NOTSET_TXT, $show_data);
} else {
	$show_data = str_replace(':MOSHI_DUR_REP:', $duration, $show_data);
}
$show_data = str_replace(':MOSHI_DUR_HID_REP:', $duration, $show_data);

$show_data = str_replace(':MOSHI_COM_REP:', chPostToHtml($moshi_com), $show_data);
$show_data = str_replace(':MOSHI_COM_HID_REP:', chPostToHidden($moshi_com), $show_data);

if ($goal_score == 0) {
	$show_data = str_replace(':GOAL_SCORE_REP:', _COMMON_NOTSET_TXT, $show_data);
} else {
	$show_data = str_replace(':GOAL_SCORE_REP:', $goal_score, $show_data);
}
$show_data = str_replace(':GOAL_SCORE_HID_REP:', $goal_score, $show_data);

$show_data = str_replace(':GROUP_SEL_REP:', $group_sel_list, $show_data);
for ($i=0; $i<2; $i++) {
	if ($is_pub == $i) {
		$show_data = str_replace(':IS_PUB_SEL_REP'.$i.':', "inline", $show_data);
		$show_data = str_replace(':IS_PUB_REP:', $is_pub, $show_data);
	} else {
		$show_data = str_replace(':IS_PUB_SEL_REP'.$i.':', "none", $show_data);
	}
}
for ($i=0; $i<3; $i++) {
	if ($disptype == $i) {
		$show_data = str_replace(':DISP_TYPE_SEL_REP'.$i.':', "inline", $show_data);
		$show_data = str_replace(':DISP_TYPE_REP:', $disptype, $show_data);
	} else {
		$show_data = str_replace(':DISP_TYPE_SEL_REP'.$i.':', "none", $show_data);
	}
}
$show_data = str_replace(':TOTAL_DIF_TXT_REP:', $total_sel, $show_data);
$show_data = str_replace(':TOTAL_DIF_REP:', $total_dif, $show_data);

$show_data = str_replace(':QUIZ_TYPE_TBL_REP:', $quiz_type_tbl, $show_data);

$show_data = str_replace(':ACT_TYPE_REP:', $act_type, $show_data);
$show_data = str_replace(':MOSHI_ID_REP:', $up_id, $show_data);
$show_data = str_replace(':FULL_SCORE_REP:', $full_score, $show_data);


echo $show_data;

?>