<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../util/make_item.php';
require_once '../../util/for_practice.php';
require_once '../../data/data_for_mobile.php';
require_once '../../util/change_util.php';
require_once '../../util/for_recommend.php';

ini_set('session.use_trans_sid', '1');

session_start();

if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

//
$admin_nam ="";
$admin_status ="";
$admin_id="";
$ses_arr = $_SESSION[SESSION_USR];
//桼ξ
$st_nam = $ses_arr['student_nam'];
$st_id	= $ses_arr['student_id'];
//$st_status = $ses_arr['status'];
//$grade = $ses_arr['grade'];

$err_msg = "";
$dep_id = 0;
$disable = "";
$practice_id = 0;
$ans_txt = "";
$show_txt = "";

$end_time=time();
$start_time=0;

//2010/12/23
$duration = 0;

//2010/12/29
$comment_list = "";
$analysis_list = "";

$display_edit = "";

$is_already_flaged =_EXAM_STU_PRACTICE_NOTFLAGGED;
$flag_submit_label =_EXAM_STU_PRACTICE_FLAGBUT;

$eval_submit_label = _EXAM_USER_EVAL_PRAC_SUBMIT;
$eval_submit_score = 0;
$recommend_list = "";
$sis_id = "";

//input_flagξϡ˲ξˤϡե饰ѹ
//if (!isset($_POST['input_flag']) || $_POST['input_flag'] <> 1) {
if (!isset($_REQUEST['input_flag']) || ($_REQUEST['input_flag'] <> 1
	&& $_REQUEST['input_flag'] <> 2 && $_REQUEST['input_flag'] <> 3 && $_REQUEST['input_flag'] <> 4)) {
	$err_msg = "INPUT PRAMETER ERROR!";
} else {
	if (!isset($_REQUEST['department']) || !is_numeric($_REQUEST['department']) ||
	!isset($_REQUEST['practice_id']) || !is_numeric($_REQUEST['practice_id'])) {
		$err_msg = "INPUT PRAMETER ERROR!";
	} else {
		$dep_id = intval($_REQUEST['department']);
		$practice_id = intval($_REQUEST['practice_id']);

		if (isset($_REQUEST['answered_txt'])) {
			$answered =$_REQUEST['answered_txt'];
		} else {
			$answered = $_REQUEST[$practice_id];
		}

		if ($_REQUEST['input_flag'] == 1) {
			$start_time = $_REQUEST['start_time'];
			$duration = $end_time -$start_time;
			if (is_array($answered)) {
				//¿򼰤ξ
				sort($answered);
				foreach ($answered as $child) {
					$ans_txt .= htmlspecialchars($child[0],3).",";
				}
				$ans_txt =substr($ans_txt, 0, -1);
			} else {
				$ans_txt = htmlspecialchars($answered,3);
			}
			//2010/12/23ե饰ν񤭴ư
		} else if ($_REQUEST['input_flag'] == 2 || $_REQUEST['input_flag'] == 3 || $_REQUEST['input_flag'] == 4) {
			$duration = $_REQUEST['duration'];
			$ans_txt = $_REQUEST['answered_txt'];
		}
	}
}

//ּѥ饹ǡ
if ($err_msg == "") {
$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	$prac_form_object = new PracticeForm();
	$prac_form_object->setAnsTxt($ans_txt);
	$prac_form_object->setDepId($dep_id);
	$prac_form_object->setDuration($duration);

	if (!$prac_form_object->setFormConfirm($data_object->conn, $practice_id)) {
		$err_msg = "FAILED TO SET DATA";
	} else {

		$rec_list_object = new CRecPracticeListByView($data_object->conn, $practice_id,$dep_id);

		$show_txt = $prac_form_object->getFormTxt();
		if ($prac_form_object->getIsRight() == 1) {
			$show_txt = "<h1><font color='red'>"._EXAM_USER_YOUR_ANS_OK."</font></h1>".$show_txt;
		} else {
			if ($_REQUEST['input_flag'] == 1) $show_txt = "<h1><font color='red'>"._EXAM_USER_YOUR_ANS_NG."</font></h1>".$show_txt;
			$rec_list_object->setRecoListByFail("blank");
		}
		$prac_eva_object = new CPracEvalTableAccess ();
		//ɾ򤷤Ƥ뤫å
		if ($prac_eva_object->setOnePracticeEval($data_object->conn,$st_id,$practice_id)) {
			//ɾƤ
			if ($res = $prac_eva_object->dbFetchArr()) {
				$eval_submit_label = _EXAM_USER_EVAL_PRAC_DEL;
			}
			$prac_eva_object->dbFreeResult();
		}
		//2010/12/23
		$prac_flag_object = new CPracFlagTableAccess();
		//ե饰ΩäƤ뤫å

		if ($prac_flag_object->setOnePracticeFlag($data_object->conn,$st_id,$practice_id)) {
			//ե饰ΩäƤ
			if ($res=$prac_flag_object->dbFetchArr()) {
				$is_already_flaged ="<img src='".LOCAL_URL."/images/flag_check.png' width=20 height=20/>"._EXAM_STU_PRACTICE_FLAGGED;
				$flag_submit_label =_EXAM_STU_PRACTICE_DEFLAGBUT;
			}
			$prac_flag_object->dbFreeResult();
		}
		//ɽѣǯ
		$start_id = 0;
		if (isset($_GET['pgid']) && is_numeric($_GET['pgid'])) {
			$start_id = $_GET['pgid'];
		}
		$file_for_nav = "view_one_result.php?department=".intval($dep_id)."&practice_id=".intval($practice_id);
		$file_for_nav .= "&answered_txt=".urlencode($ans_txt)."&duration=".$duration;
		$file_for_nav .= "&input_flag=3";
		$prac_com_object = new CPracticeComment();
		$prac_com_object->setCommentList($data_object->conn,$practice_id,$start_id,0,$sis_id,$file_for_nav);
		$comment_list = $prac_com_object->getCommentList();

		if ($_REQUEST['input_flag'] == 1) {
			if (!$prac_form_object->insertResult($st_id, $data_object->conn)) {
				$err_msg = "FAILED TO SET Result DATA";
			}
		} else if ($_REQUEST['input_flag'] == 2) {

			if (mb_ereg(_EXAM_STU_PRACTICE_FLAGGED,$is_already_flaged)) {
				//ե饰ΩäƤΤǺ
				$prac_flag_object->deletePracticeFlag($data_object->conn,$st_id,$practice_id);
				$is_already_flaged =_EXAM_STU_PRACTICE_NOTFLAGGED;
				$flag_submit_label =_EXAM_STU_PRACTICE_FLAGBUT;
			} else if ($is_already_flaged ==_EXAM_STU_PRACTICE_NOTFLAGGED) {
				//ե饰ΩäƤʤΤǤĤ
				$prac_flag_object->insertPracFlagDataExe($data_object->conn,$st_id,$practice_id,$dep_id);
				$is_already_flaged ="<img src='".LOCAL_URL."/images/flag_check.png' width=20 height=20/>"._EXAM_STU_PRACTICE_FLAGGED;
				$flag_submit_label =_EXAM_STU_PRACTICE_DEFLAGBUT;
			}
		} else if ($_REQUEST['input_flag'] == 4) {
			if ($eval_submit_label == _EXAM_USER_EVAL_PRAC_DEL) {
				//ɾǡ
				$prac_eva_object->deletePracticeEval($data_object->conn,$st_id,$practice_id);
				$eval_submit_label = _EXAM_USER_EVAL_PRAC_SUBMIT;
			} else if ($eval_submit_label == _EXAM_USER_EVAL_PRAC_SUBMIT) {
				//ɾǡ
				$prac_eva_object->insertSimpleEvalDataExe($data_object->conn,$st_id,$practice_id);
				$eval_submit_label = _EXAM_USER_EVAL_PRAC_DEL;
			}
		}

		if ($flag_submit_label == _EXAM_STU_PRACTICE_DEFLAGBUT) {
			//ե饰ΩäƤΤǤ˱
			$rec_list_object->setRecoListByFlag("blank");
		}
		if ($eval_submit_label == _EXAM_USER_EVAL_PRAC_DEL) {
			//ɾƤΤǤ˱
			$rec_list_object->setRecListByEval("blank");
		}
		$recommend_list = $rec_list_object->getRecList();

		$eval_submit_score = $prac_eva_object->getPracTotalEval($data_object->conn,$practice_id);

			//ʬ
		$prac_ana_object = new CPracAnalysis();
		if (!$prac_ana_object->setPracInfo($data_object->conn, $practice_id,$st_id)) {
			$analysis_list = "No Data";
		} else {
			$prac_ana_object->setUsrShowList();
			$analysis_list = $prac_ana_object->getUsrShowList();
		}
	}

	$data_object->closeDB();
}
}
if ($err_msg <> "") $disable = "DISABLED";

$show_data = file_get_contents(TEMPLATE_DIR.'usr_prac/usr_viewoneprac.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':NAME_REP:', $st_nam, $show_data);
$show_data = str_replace(':DISABLE_REP:',$disable, $show_data);
$show_data = str_replace(':P_ID_REP:',$practice_id, $show_data);
$show_data = str_replace(':DEP_ID_REP:',$dep_id, $show_data);

$show_data = str_replace(':TEST_LIST_REP:', $show_txt, $show_data);
//$show_data = str_replace(':SESDATA_REP:', $sis_id, $show_data);

$show_data = str_replace(':DISPLAY_EDIT_REP:', $display_edit, $show_data);

//2010/12/23
$show_data = str_replace(':ANSWERED_REP:', $ans_txt, $show_data);
$show_data = str_replace(':IS_ALREADY_FLAGED:', $is_already_flaged, $show_data);
$show_data = str_replace(':FLAG_SUBMIT_LABEL:', $flag_submit_label, $show_data);
$show_data = str_replace(':DURATION_REP:', $duration, $show_data);
$show_data = str_replace(':COMMENT_LIST_REP:', $comment_list, $show_data);

//$show_data = str_replace(':MOBILE_EDIT_REP:', $mobile_edit, $show_data);
$show_data = str_replace(':BACK_FILE_REP:', $file_for_nav, $show_data);
$show_data = str_replace(':ANALYSIS_LIST_REP:', $analysis_list, $show_data);
$show_data = str_replace(':EVAL_BUT_TXT_REP:',$eval_submit_label, $show_data);
$show_data = str_replace(':EVAL_SCORE_REP:',$eval_submit_score, $show_data);
$show_data = str_replace(':RECOMMEND_LIST_REP:',$recommend_list, $show_data);

echo $show_data;
?>
