<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_group.php';

require_once '../../data/data_for_test.php';
require_once '../../util/for_analyze.php';


ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$is_able = "";
$class_id = "";
$show_txt = "";
$err_msg = "";

$total_ave_use = "";
$total_right = "";
$class_ave_use = "";
$class_right= "";
$mem_static_arr = array();

if ($_GET <> null) {
	$class_id = $_GET['class_id'];
	if (!is_numeric($class_id)) {
//		redirect_header(URL_SET."teacher/class_reg/class_list.php");
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/class_list.php");
		exit;
	}
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	//CLASSΥơ֥륪֥Ȥ
/*	$class_data_object = new CClassInfoTableAccess();

	if ($_POST <> null) {
		if(!$data_object->transactionBegin()) {
			$err_msg .= $data_object->err_msg;
		} else {
			$object_for_update = new CPermitClassAccess();
			if(!$object_for_update->updatePermissionExe($data_object->conn, $_POST)) {
				$err_msg = "ֲݤι˼Ԥޤ<br>";
				$err_msg .= $object_for_update->err_msg;
				if (!$data_object->transactionRollBack()) {
					$err_msg .= $data_object->err_msg;
				}
			} else {
				if (!$data_object->transactionCommit()) {
					$err_msg .= $data_object->err_msg;
				}
			}
		}
		$class_id = $_POST['class_id'];
	}
	//饹󸡺
	$cl_dat_arr = $class_data_object->getOneClass($data_object->conn, $class_id);
	if (!$cl_dat_arr) {
		$class_nam = "饹̾˼";
	} else {
		$class_nam = htmlspecialchars(mb_convert_encoding($cl_dat_arr['class_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
	}
	//Ϥ
	//ԤôԤΤߤΥ
	if ($admin_status <> 1 && $cl_dat_arr['teacher_id'] <> $admin_id) {
		$data_object->closeDB();
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/class_reg/class_list.php");
		exit;
	}
		//ǡΥ֥Ȥ
	$teacher_data_object = new CTeacherTableAccess();
	$tea_dat_arr = $teacher_data = $teacher_data_object->getDetailTeacherData($data_object->conn, $cl_dat_arr['teacher_id']);

	if (!$tea_dat_arr) {
		$teacher_nam = "̾˼";
	} else {
		$teacher_nam = htmlspecialchars(mb_convert_encoding($tea_dat_arr['teacher_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
	}
	$member_data_object = new CStudentInClassAccess ();
	$st_list=$member_data_object->getStudentsInClass($data_object->conn, $class_id);

	if (!$st_list) {
		$show_txt ="<tr><td colspan = 3>ǡޤǤ</tr></td>";
		$is_able = "DISABLED";
	} else {
		$i= 0;
		$stu_num = 0;
		foreach($st_list as $data_arr) {
			$tmp_ch= "";
			$show_txt .= "<tr>";
			$show_txt .= "<td>".mb_convert_encoding($data_arr['student_nam'],'EUC-JP', 'UTF-8')."</td>";
			$show_txt .= "<td>".mb_convert_encoding($data_arr['belong'],'EUC-JP', 'UTF-8')."</td>";
			if ($data_arr['status'] == 1) {
				$tmp_ch = "CHECKED";
				$stu_num++;
			}
			$show_txt .= "<td><input type='CHECKBOX' name='UPST".$i."' VALUE='";
			$show_txt .= $data_arr['class_student_id']."'".$tmp_ch.">";
			$show_txt .= "<input type = 'hidden' name ='class_student_id".$i."' value='".$data_arr['class_student_id']."'>";

			$show_txt .= "</tr>\n";
			$i++;
		}
		$show_txt .= "<input type='hidden' name = 'total_num' value='".$i."'>";
		$show_txt .= "<input type='hidden' name = 'allowed_num' value='".$stu_num."'>";
	}
*/
//xoops
//XoopsCubeѤ

	$prac_his_obj = new CPracHistoryOfClassAnalysis();
	if (!$prac_his_obj->main($data_object->conn, $class_id)) {
		$err_msg = $prac_his_obj->getErrMsg();
	} else {
		$total_ave_use = $prac_his_obj->getTotalMonFreq();
		$total_right = $prac_his_obj->getTotalAveCnt();
		$class_ave_use = $prac_his_obj->getClassMonFreq();
		$class_right= $prac_his_obj->getAvePer();
		$mem_static_arr = $prac_his_obj->getMemberHisArr();
	}
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
	}
	$class_mem_object = new CTeacherClassAccess();
	$mem_data = $class_mem_object->getClassMember($data_object->conn, $class_id);
	if ($mem_data == false) {
		$err_msg .= _COMMON_DB_NODATA_FOUND;
	} else {
//		$class_nam =  htmlspecialchars($mem_data[0]['class_nam'],ENT_QUOTES);
//		$teacher_nam =  htmlspecialchars($mem_data[0]['teacher_nam'],ENT_QUOTES);
		$class_nam =  htmlspecialchars(mb_convert_encoding($mem_data[0]['class_nam'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES);
		$teacher_nam =  htmlspecialchars(mb_convert_encoding($mem_data[0]['teacher_nam'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES);
		foreach ($mem_data as $one_mem) {
//			$show_txt .= "<tr><td>".htmlspecialchars($one_mem['student_nam'],ENT_QUOTES)."</td></tr>";
//			$show_txt .= "<tr><td>".htmlspecialchars(mb_convert_encoding($one_mem['student_nam'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES)."</td></tr>";
			$show_txt .= "<tr><td>".htmlspecialchars(mb_convert_encoding($one_mem['student_nam'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES)."</td>";
			$show_txt .= "<td>";
			if (isset($mem_static_arr[$one_mem["student_id"]])) {
				$show_txt .= $mem_static_arr[$one_mem["student_id"]]["mem_ave_per"]."%</td><td>".$mem_static_arr[$one_mem["student_id"]]["mem_mon_freq"];
			} else {
				$show_txt .="-</td><td>-";
			}
			$show_txt .= "</td></tr>";
		}
	}

	$data_object->closeDB();
}
/*
$show_data = file_get_contents('../../templates/ad_class_reg/ad_cl_men_list.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_NAM_REP:', mb_convert_encoding($class_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEA_NAM_REP:', mb_convert_encoding($teacher_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = ereg_replace(':DATA_LIST:', mb_convert_encoding($show_txt,'UTF-8', 'EUC-JP'), $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'ad_class_reg/ad_cl_men_list.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':CLASS_NAM_REP:', $class_nam, $show_data);
$show_data = str_replace(':TEA_NAM_REP:', $teacher_nam, $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':DATA_LIST:', $show_txt, $show_data);

$show_data = str_replace(':AVEUSE_CLASS_REP:', $class_ave_use, $show_data);
$show_data = str_replace(':AVEUSE_TOTAL_REP:', $total_ave_use, $show_data);
$show_data = str_replace(':RIGHT_CLASS_REP:', $class_right, $show_data);
$show_data = str_replace(':RIGHT_TOTAL_REP:', $total_right, $show_data);


echo $show_data;
?>