<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/post_util.php';

ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}

$dif_pulldown = "";
$search_flag = "";
$del_condition = "";
$del_flag = "";
$search_txt = "";
$start_id="";
$department_id = "";
$where_st = "";
$err_msg = "";
$file_for_nave = "";
$show_txt = "";

$static_arr = array();
$full_score_arr = array();

if ($_GET <> null) {
	if (isset($_GET['search_flag'])) {
		$search_flag = $_GET['search_flag'];
	}
	if (isset($_GET['pgid'])) {
		$start_id = $_GET['pgid'];
	}
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	$static_obj = new CAnsToWholeMoshiTableAccess();
	if ($static_obj->setTotalStaticData($data_object->conn)) {
		while ($res = $static_obj->dbFetchArr()) {
			$static_arr[$res["moshi_id"]]=$res;
		}
		$static_obj->dbFreeResult();
	}

	$static_obj2 = new CMoshiQuizTypeTableAccess();
	if ($static_obj2->setStaticForMoshi($data_object->conn)) {
		while ($res = $static_obj2->dbFetchArr()) {
			$full_score_arr[$res["moshi_id"]]=$res;
		}
		$static_obj2->dbFreeResult();
	}

	if ($start_id =="" || $start_id ==null) {
		$start_id = 0;
	}

	$moshi_object = new CMoshiTableAccess();
	if (isset($_POST["DEL_FLAG"]))$del_flag = $_POST["DEL_FLAG"];
	if ($del_flag == "del") {
	//ư
		if (count($_POST) == 1){
			$err_msg = "Failed to Delete Moshi Data";
		} else {
			//κ
			$del_condition = "";

			foreach ($_POST as $child) {
				if (is_numeric($child)) {
					$del_condition .= "moshi_id = '".$moshi_object->escapeSqlString($child);
					$del_condition .= "' OR ";
				}
			}
//echo "aa".$del_condition."<br/>";
			//Ρ OR פȤ
			$del_condition = substr($del_condition, 0, -4);
			if(!$moshi_object->delDat($del_condition, $data_object->conn)) {
				$err_msg = "Failed to Delete Moshi Data";
				$err_msg .= $moshi_object->err_msg;
			}
		}
	}



	if ($search_flag == 1) {
	//ư WHERE
		if ($_GET['search_txt'] <> "" && $_GET['search_txt'] <> null) {
			$where_st .= "moshi_name LIKE '%".$moshi_object->escapeSqlString($_GET['search_txt'])."%'";
			$search_txt = chPostToForm ($_GET['search_txt']);
		}
		/*
		if ($_GET['department_id'] <> 0 && is_numeric($_GET['department_id']) == true) {
			if ($where_st <> "") {
				$where_st .= " AND ";
			}
			$where_st .= "department = '".$moshi_object->escapeSqlString($_GET['department_id'])."'";
			$department_id = $_GET['department_id'];
		}
		*/
		if ($where_st <> "") {
			$where_st = " WHERE ".$where_st;
		}
	}
//	$file_for_nave .= "?search_flag=".$search_flag."&search_txt=".urlencode($search_txt)."&department_id=".$department_id;
	$file_for_nave .= "?search_flag=".$search_flag."&search_txt=".urlencode($search_txt);


/*
	$level_select_object = new CCreateTxtLevelSelect($data_object->conn);
	$level_select_object->setDataForInput();
	$level_arr =$level_select_object->getBasicData ();
*/
	$moshi_data_list = $moshi_object->getList("*", $where_st." ORDER BY update_time DESC, create_time DESC", $data_object->conn);
	$make_item = new get_item();
	$navi = $make_item->get_navi_with_search($start_id, count($moshi_data_list), GET_NUM, $file_for_nave);

	if ($moshi_data_list == false) {
		$show_txt ="<tr><td colspan=5>"._COMMON_DB_NODATA_FOUND."</tr></td>";
	} else {
		//󤫤ɬפʤΤΤߤФ
		$moshi_data_list = array_splice($moshi_data_list, ($start_id * GET_NUM), GET_NUM);
		$i=1;
		//2010/12/31
		$student_object = new CStudentTableAccess();
		foreach ($moshi_data_list as $data_arr) {
			$show_txt .= "<tr";
			if ($data_arr['is_new'] == 0) $show_txt .= " bgcolor='gainsboro'";
			$show_txt .= ">";
			$show_txt .= "<td><input type='checkbox' name = 'DEL".$i."' VALUE = '".$data_arr['moshi_id']."'></td>";
			$show_txt .= "<td><a href='mod_form.php?moshi_id=".$data_arr['moshi_id']."'>";
			$show_txt.=htmlspecialchars($data_arr['moshi_name'],ENT_QUOTES)."</a>";

			if (is_numeric($data_arr["student_id"])) {
				$st_data = $student_object->getOneStudent($data_object->conn, $data_arr['student_id']);
				if ($st_data <> false) {
				$show_txt.= "(".htmlspecialchars($st_data["student_nam"],3)._EXAM_COMMON_PRACTICE_MAKE_USR.")";
				}
			}
			$show_txt.= "</td>";

			$show_txt .= "<td>".substr($data_arr['create_time'],0,16)."</td>";
			if (isset($full_score_arr[$data_arr['moshi_id']])) {
				$show_txt .= "<td>".$full_score_arr[$data_arr['moshi_id']]["all_q"]."</td>";
			} else {
				$show_txt .= "<td><br/></td>";
			}
			if (isset($full_score_arr[$data_arr['moshi_id']])) {
				$show_txt .= "<td>".$full_score_arr[$data_arr['moshi_id']]["full_score"]."</td>";
			} else {
				$show_txt .= "<td><br/></td>";
			}

			if ($data_arr["goal_score"] == 0) {
				$show_txt .= "<td>"._COMMON_NOTSET_TXT."</td>";
			} else {
				$show_txt .= "<td>".$data_arr["goal_score"]."</td>";
			}

			$show_txt .= "<td>";
			if (isset($static_arr[$data_arr['moshi_id']])) {
				$show_txt .= round($static_arr[$data_arr['moshi_id']]["avg_score"],2);
			}
			$show_txt .= "<br/></td>";

			$show_txt .= "<td>";
			if (isset($static_arr[$data_arr['moshi_id']])) {
				$show_txt .= $static_arr[$data_arr['moshi_id']]["cnt"];
			}
			$show_txt .= "<br/></td>";

			$show_txt .= "<td>";
			if (isset($static_arr[$data_arr['moshi_id']])) {
				$show_txt .= substr($static_arr[$data_arr['moshi_id']]["last_time"],0,-3);
			}
			$show_txt .= "<br/></td>";

			$show_txt .= "</tr>\n";
			$i++;
		}
	}
	$data_object->closeDB();
}

$show_data = file_get_contents(TEMPLATE_DIR.'ad_moshi/data_list.tpl');

$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':NAVIGATOR:', $navi, $show_data);
$show_data = str_replace(':DATA_LIST:', $show_txt, $show_data);
$show_data = str_replace(':SEARCH_TXT_REP:', $search_txt, $show_data);
$show_data = str_replace(':DIF_SELECT_REP:', $dif_pulldown, $show_data);

echo $show_data;
?>